---
- hosts: '{{ var_hostname }}'

  gather_facts: False

  tasks:
    - name: debug
      ansible.builtin.debug:
        msg: 'Reboot server => {{ var_reboot | bool }}'

    - name: ping
      ansible.builtin.ping:

    - name: update debian
      ansible.builtin.debug:
        msg: "Update debian"

    - name: reboot server
      ansible.builtin.debug:
        msg: "Reboot server"
      when: var_reboot | bool
